﻿namespace AsmodeeNet.Example
{
    /// <summary>
    /// Type of messages that other client have to interpret
    /// </summary>
    public enum MessageType
    {
        /// <summary>
        /// End of the round
        /// </summary>
        RoundEnded,

        /// <summary>
        /// Dice selection has changed
        /// </summary>
        SelectDice,

        /// <summary>
        /// Dice are rolled
        /// </summary>
        RollDice,

        /// <summary>
        /// Current player has changed
        /// </summary>
        NextPlayer
    }
}
